Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.description
Class OperationDesc

    java.lang.Object
      |
      +--org.apache.axis.description.OperationDesc

public class OperationDesc
extends java.lang.Object

An OperationDesc is an abstract description of an operation on a service. !!! WORK IN PROGRESS

Author:
  Glen Daniels (gdaniels@apache.org)

Field Summary
`protected static org.apache.commons.logging.Log` | `log`
`static int` | `MSG_METHOD_BODYARRAY`
`static int` | `MSG_METHOD_DOCUMENT`
`static int` | `MSG_METHOD_ELEMENTARRAY`
`static int` | `MSG_METHOD_NONCONFORMING`
`static int` | `MSG_METHOD_SOAPENVELOPE`

Constructor Summary
`OperationDesc()` Default constructor.
`OperationDesc(java.lang.String name, ParameterDesc[] parameters, QName returnQName)` "Complete" constructor

Method Summary
`void` | `addFault(FaultDesc fault)`
`void` | `addParameter(ParameterDesc param)`
`QName` | `getElementQName()`
`java.util.ArrayList` | `getFaults()`
`ParameterDesc` | `getInputParamByQName(QName qname)`
`int` | `getMessageOperationStyle()`
`java.lang.reflect.Method` | `getMethod()`
`java.lang.String` | `getName()` Return the operation's name
`int` | `getNumInParams()`
`int` | `getNumParams()`
`java.util.ArrayList` | `getOutParams()` Returns an ordered list of out params (NOT inouts)
`ParameterDesc` | `getOutputParamByQName(QName qname)`
`ParameterDesc` | `getParamByQName(QName qname)`
`ParameterDesc` | `getParameter(int i)`
`java.util.ArrayList` | `getParameters()`
`ServiceDesc` | `getParent()`
`java.lang.Class` | `getReturnClass()`
`ParameterDesc` | `getReturnParamDesc()`
`QName` | `getReturnQName()`
`QName` | `getReturnType()`
`java.lang.String` | `getSoapAction()`
`Style` | `getStyle()` Return the style of the operation, defaulting to the parent ServiceDesc's style if we don't have one explicitly set.
`void` | `setElementQName(QName elementQName)`
`void` | `setMessageOperationStyle(int messageOperationStyle)`
`void` | `setMethod(java.lang.reflect.Method method)`
`void` | `setName(java.lang.String name)` Set the operation's name
`void` | `setParent(ServiceDesc parent)`
`void` | `setReturnClass(java.lang.Class returnClass)`
`void` | `setReturnQName(QName returnQName)`
`void` | `setReturnType(QName returnType)`
`void` | `setSoapAction(java.lang.String soapAction)`
`void` | `setStyle(Style style)`
`java.lang.String` | `toString()`
`java.lang.String` | `toString(java.lang.String indent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_METHOD_BODYARRAY

    public static final int MSG_METHOD_BODYARRAY

### MSG_METHOD_SOAPENVELOPE

    public static final int MSG_METHOD_SOAPENVELOPE

### MSG_METHOD_ELEMENTARRAY

    public static final int MSG_METHOD_ELEMENTARRAY

### MSG_METHOD_DOCUMENT

    public static final int MSG_METHOD_DOCUMENT

### MSG_METHOD_NONCONFORMING

    public static final int MSG_METHOD_NONCONFORMING

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### OperationDesc

    public OperationDesc()

  Default constructor.

### OperationDesc

    public OperationDesc(java.lang.String name,
                         ParameterDesc[] parameters,
                         QName returnQName)

  "Complete" constructor

Method Detail

### getName

    public java.lang.String getName()

  Return the operation's name

### setName

    public void setName(java.lang.String name)

  Set the operation's name

### getReturnQName

    public QName getReturnQName()

### setReturnQName

    public void setReturnQName(QName returnQName)

### getReturnType

    public QName getReturnType()

### setReturnType

    public void setReturnType(QName returnType)

### getReturnClass

    public java.lang.Class getReturnClass()

### setReturnClass

    public void setReturnClass(java.lang.Class returnClass)

### getElementQName

    public QName getElementQName()

### setElementQName

    public void setElementQName(QName elementQName)

### getParent

    public ServiceDesc getParent()

### setParent

    public void setParent(ServiceDesc parent)

### getSoapAction

    public java.lang.String getSoapAction()

### setSoapAction

    public void setSoapAction(java.lang.String soapAction)

### setStyle

    public void setStyle(Style style)

### getStyle

    public Style getStyle()

  Return the style of the operation, defaulting to the parent ServiceDesc's style if we don't have one explicitly set.

### addParameter

    public void addParameter(ParameterDesc param)

### getParameter

    public ParameterDesc getParameter(int i)

### getParameters

    public java.util.ArrayList getParameters()

### getNumInParams

    public int getNumInParams()

### getNumParams

    public int getNumParams()

### getMethod

    public java.lang.reflect.Method getMethod()

### setMethod

    public void setMethod(java.lang.reflect.Method method)

### getParamByQName

    public ParameterDesc getParamByQName(QName qname)

### getInputParamByQName

    public ParameterDesc getInputParamByQName(QName qname)

### getOutputParamByQName

    public ParameterDesc getOutputParamByQName(QName qname)

### getOutParams

    public java.util.ArrayList getOutParams()

  Returns an ordered list of out params (NOT inouts)

### addFault

    public void addFault(FaultDesc fault)

### getFaults

    public java.util.ArrayList getFaults()

### getReturnParamDesc

    public ParameterDesc getReturnParamDesc()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toString

    public java.lang.String toString(java.lang.String indent)

### getMessageOperationStyle

    public int getMessageOperationStyle()

### setMessageOperationStyle

    public void setMessageOperationStyle(int messageOperationStyle)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.